GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_transport_stream_op Struct Reference

`#include <transport.h>`

## Data Fields
grpc_iomgr_closure * | on_consumed
grpc_stream_op_buffer * | send_ops
int | is_last_send
grpc_iomgr_closure * | on_done_send
grpc_stream_op_buffer * | recv_ops
grpc_stream_state * | recv_state
gpr_uint32 | max_recv_bytes
| The number of bytes this peer is currently prepared to receive. More...
grpc_iomgr_closure * | on_done_recv
grpc_pollset * | bind_pollset
grpc_status_code | cancel_with_status
grpc_call_context_element * | context

## Field Documentation

grpc_pollset* grpc_transport_stream_op::bind_pollset

grpc_status_code grpc_transport_stream_op::cancel_with_status

grpc_call_context_element* grpc_transport_stream_op::context

int grpc_transport_stream_op::is_last_send

gpr_uint32 grpc_transport_stream_op::max_recv_bytes

The number of bytes this peer is currently prepared to receive.

These bytes will be eventually used to replenish per-stream flow control windows.

grpc_iomgr_closure* grpc_transport_stream_op::on_consumed

grpc_iomgr_closure* grpc_transport_stream_op::on_done_recv

grpc_iomgr_closure* grpc_transport_stream_op::on_done_send

grpc_stream_op_buffer* grpc_transport_stream_op::recv_ops

grpc_stream_state* grpc_transport_stream_op::recv_state

grpc_stream_op_buffer* grpc_transport_stream_op::send_ops

The documentation for this struct was generated from the following file:

- src/core/transport/transport.h